indexing
	description: "This static class holds the constants for DRAGOONY."
	author: "Lukas Novosad - novosprotos@eblcom.ch"
	date: "$Date: 2012-01-15 $"
	revision: "$Revision: 0.8 $"

class
	DR_CONSTANTS

inherit
	MATH_CONST


feature -- Constants

	Max_frame_delay: INTEGER is 200
			-- The maximum time which is allowed to pass between two consecutive frames.

	Delta_move: INTEGER is 120
			-- The movement "speed" used for most objects and characters in the game.

	Delta_move_dragon: INTEGER is 150
			-- The movement "speed" used for our hero in case of a key_down_event.

	Number_of_keyboard_keys: INTEGER is 4
			-- The number of keyboard keys used to control the hero.

	Number_of_lives: INTEGER is 4
			-- The number of lives the hero has at the beginning.

	Max_number_of_lives: INTEGER is 8
			-- The maximum number of lives the hero may have.

	DR_width: INTEGER is 1024
			-- The screen width used for the game.

	DR_height: INTEGER is 900
			-- The screen height used for the game.

	DR_resolution: INTEGER is 32
			-- The screen color depth used for the game.

	NONE: INTEGER is 0
	UP: INTEGER is 1
	DOWN: INTEGER is 2
	RIGHT: INTEGER is 3
	LEFT: INTEGER is 4
			-- Constants used to identify movement directions.

	DEAD: INTEGER is -1
			-- Constant used to identifiy disabled/dead objects.


	DRAGON_ID: 						INTEGER is  1
	ALIEN_ID: 						INTEGER is  2
	POINT_BONUS_ID: 				INTEGER is  3
	CHEST_ID:						INTEGER is  4
	STONE_MOVING_ID:				INTEGER	is  5
	STONE_FIXED_ID:					INTEGER is  6
	STONE_BORDER_HORIZONTAL_ID:		INTEGER is  7
	STONE_BORDER_VERTICAL_ID:		INTEGER is  8
	EXIT_ID:						INTEGER is  9
			-- Constants used for the collision detection.


end
