indexing
	description: "This class represents vertical borders made out of stones."
	author: "Lukas Novosad - novosprotos@eblcom.ch"
	date: "$Date: 2005-06-15 11:55:15 +0200 (Mi, 15 Jun 2005) $"
	revision: "$Revision: 0.8 $"

class
	STONE_BORDER_VERTICAL

inherit

	STONE_BORDER
	--undefine
	--	draw
	--end

	EM_TILE_PATTERN_VERTICAL
	redefine
		make
	end

create
	make


feature {NONE}-- Creation

	make(surface:EM_DRAWABLE;number:INTEGER) is
			-- Create the STONE_BORDER_VERTICAL object.		
		do
			precursor(surface,number)
			image_offset_x := 0.0
			image_offset_y := 0.0
			-- Call create from EM_RECTANGLE_COLLIDABLE to ensure the logger gets created (EM_LOGGING class invariant).
			make_from_rectangle (bounding_box)
		end


feature -- Status

	type_id: INTEGER is
			-- The id given to all instances of `current' generating class.
		do
			result := STONE_BORDER_VERTICAL_ID
		end


feature -- Collision handling

	on_collide (other: DR_OBJECT; collision: EM_COLLISION [DR_OBJECT]; frame_delay: INTEGER) is
			-- `current' collided with `other'
		do
			-- Do nothing, these collisions are handled by the objects bumping against the border.
		end


end -- class STONE_BORDER_VERTICAL
