indexing
	description: "Objects that represent a bonus."
	author: "Lukas Novosad - novosprotos@eblcom.ch"
	date: "$Date: 2005-06-15 11:55:15 +0200 (Mi, 15 Jun 2005) $"
	revision: "$Revision: 0.8 $"

deferred class
	BONUS

inherit
	DR_SPRITE_OBJECT


feature -- Status setting

	set_collected (b: BOOLEAN) is
			-- Set `collected' to `b'
		do
			collected := b
		ensure
			set: collected = b
		end


feature -- Status

bonus: INTEGER is
			-- The number of bonus points provided by the object.
		deferred
		end


feature -- Implementation

	collected: BOOLEAN
			-- Was `current' collected by dragon?


end -- class BONUS
